org.eclnt.jsfserver.session

## Class UsageWithoutSessionContext.DummyHttpSession

- java.lang.Object
- - org.eclnt.jsfserver.session.UsageWithoutSessionContext.DummyHttpSession

- Enclosing class:
    UsageWithoutSessionContext

      public static class UsageWithoutSessionContext.DummyHttpSession
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyHttpSession()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(java.lang.String arg0)`
    `java.util.Enumeration<java.lang.String>` | `getAttributeNames()`
    `long` | `getCreationTime()`
    `java.lang.String` | `getId()`
    `long` | `getLastAccessedTime()`
    `int` | `getMaxInactiveInterval()`
    `ServletContext` | `getServletContext()`
    `HttpSessionContext` | `getSessionContext()`
    `java.lang.Object` | `getValue(java.lang.String arg0)`
    `java.lang.String[]` | `getValueNames()`
    `void` | `invalidate()`
    `boolean` | `isNew()`
    `void` | `putValue(java.lang.String arg0, java.lang.Object arg1)`
    `void` | `removeAttribute(java.lang.String arg0)`
    `void` | `removeValue(java.lang.String arg0)`
    `void` | `setAttribute(java.lang.String arg0, java.lang.Object arg1)`
    `void` | `setMaxInactiveInterval(int arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyHttpSession

          public DummyHttpSession()

  - ### Method Detail

    - #### getAttribute

          public java.lang.Object getAttribute(java.lang.String arg0)

    - #### getAttributeNames

          public java.util.Enumeration<java.lang.String> getAttributeNames()

    - #### getCreationTime

          public long getCreationTime()

    - #### getId

          public java.lang.String getId()

    - #### getLastAccessedTime

          public long getLastAccessedTime()

    - #### getMaxInactiveInterval

          public int getMaxInactiveInterval()

    - #### getServletContext

          public ServletContext getServletContext()

    - #### getSessionContext

          public HttpSessionContext getSessionContext()

    - #### getValue

          public java.lang.Object getValue(java.lang.String arg0)

    - #### getValueNames

          public java.lang.String[] getValueNames()

    - #### invalidate

          public void invalidate()

    - #### isNew

          public boolean isNew()

    - #### putValue

          public void putValue(java.lang.String arg0,
                               java.lang.Object arg1)

    - #### removeAttribute

          public void removeAttribute(java.lang.String arg0)

    - #### removeValue

          public void removeValue(java.lang.String arg0)

    - #### setAttribute

          public void setAttribute(java.lang.String arg0,
                                   java.lang.Object arg1)

    - #### setMaxInactiveInterval

          public void setMaxInactiveInterval(int arg0)

Copyright © CaptainCasa Gmbh. All Rights Reserved.